"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isOverlabFile = exports.acceptedExt = exports.checkType = exports.getFileSizeMB = void 0;
const getFileSizeMB = (size) => {
    return size / 1000 / 1000;
};
exports.getFileSizeMB = getFileSizeMB;
const checkType = (file, types) => {
    const extension = file.name.split('.').pop();
    const loweredTypes = types.map(type => type.toLowerCase());
    return loweredTypes.includes(extension.toLowerCase());
};
exports.checkType = checkType;
const acceptedExt = (types) => {
    if (types === undefined)
        return '';
    return types.map(type => `.${type.toLowerCase()}`).join(',');
};
exports.acceptedExt = acceptedExt;
const isOverlabFile = (files, file) => {
    const overlabFile = files.find(item => item.file.name === file.name && item.file.size === file.size);
    if (overlabFile) {
        return true;
    }
    return false;
};
exports.isOverlabFile = isOverlabFile;
//# sourceMappingURL=util.js.map